Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

## Interface CompoundAssignmentTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface CompoundAssignmentTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for compound assignment operator. Use `getKind` to determine the kind of operator. For example:

       variable operator expression

Since:
  9

### Nested Class Summary

### Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ExpressionTree` `getExpression()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the right hand side (RHS) of this assignment.
`ExpressionTree` `getVariable()` Deprecated, for removal: This API element is subject to removal in a future version. Returns the left hand side (LHS) of this assignment.

### Methods declared in interface jdk.nashorn.api.tree.Tree

`accept, getEndPosition, getKind, getStartPosition`

### Method Detail

#### getVariable

    ExpressionTree getVariable()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the left hand side (LHS) of this assignment.

Returns:
  left hand side (LHS) expression

#### getExpression

    ExpressionTree getExpression()

Deprecated, for removal: This API element is subject to removal in a future version.
Returns the right hand side (RHS) of this assignment.

Returns:
  right hand side (RHS) expression